# BEGIN CMVC
# *************************************************************************
# 
#   Workfile: %W%
#   Last update: %E% %U%
#   SCCS path, id: %F% %I%
# 
# ************************************************************************/
# CMVC
# COPYRIGHT
# *************************************************************************
# 
#   Licensed Materials - Property of IBM
#   WA82 SupportPac
#   (c) Copyright IBM Corp. 2000, 2001, 2002
#   US Government Users Restricted Rights - Use, duplication or
#   disclosure restricted by GSA ADP Schedule Contract
#   with IBM Corp.
# 
# ************************************************************************/
# END COPYRIGHT
# BEGIN DISCLAIMER
# *************************************************************************
#   DISCLAIMER
#   ----------
#   This material contains programming source code for your consideration.
#   These examples have not been thoroughly tested under all conditions.
#   IBM, therefore, cannot guarantee or imply reliability, serviceability,
#   or function of these programs.
#   ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
#   WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
#   NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
#   FOR A PARTICULAR PURPOSE.
# ************************************************************************/
# END DISCLAIMER
#
# ------------------------------------------------
# -- UPES Environment Setup Script              --
# ------------------------------------------------
# -- This script is called by all other scripts --
# -- Adapt to your specific environment         --
# ------------------------------------------------

export JH=$JAVA_HOME

# Set to the toplevel directory of your JDK installation
# ------------------------------------------------------

export JAVA_HOME=/usr/WebSphere/AppServer/java


# Set to the toplevel directory of your Xerces-J installation
# -----------------------------------------------------------
# The latest Xerces-J parser is available from xml.apache.org.
# Make sure to get Xerces-J 2.0.1 or higher.

export XERCES_HOME=/usr/local/xerces-2_0_1


# Set to the toplevel directory of your DB2 installation
# ------------------------------------------------------
export DB2_HOME=/usr/lpp/db2_06_01


# Set to the toplevel directory of your MQSeries installation
# -----------------------------------------------------------

export MQ_HOME=/usr/lpp/mqm


# Set to the toplevel directory of your James (mail server) installation
# ----------------------------------------------------------------------
export JAMES_HOME=/opt/jakarta-james


# Don't change anything below here!!
# ==================================

# Set up the base classpath (same for all UPES implementations)
# -------------------------------------------------------------
export BASECLASSPATH=.:$JAVA_HOME/jre/lib/rt.jar:$XERCES_HOME/xercesImpl.jar:$XERCES_HOME/xmlParserAPIs.jar:$MQ_HOME/java/lib/com.ibm.mq.jar:$MQ_HOME/java/lib/com.ibm.mqbind.jar:$MQ_HOME/java/lib/jta.jar:$MQ_HOME/java/lib/connector.jar:$MQ_HOME/java/lib

# Add the MQ Directory to the PATH
# --------------------------------
export OP=$PATH
export PATH=$PATH:$MQ_HOME/java/lib

# Add the Java Libraries to the LIBPATH
# -------------------------------------
export LP=$LIBPATH
export LIBPATH=$LIBPATH:$JAVA_HOME/jre/bin/classic:$JAVA_HOME/jre/bin
