@ECHO OFF

REM BEGIN CMVC
REM *************************************************************************
REM 
REM   Workfile: %W%
REM   Last update: %E% %U%
REM   SCCS path, id: %F% %I%
REM 
REM ************************************************************************/
REM CMVC
REM COPYRIGHT
REM *************************************************************************
REM 
REM   Licensed Materials - Property of IBM
REM   WA82 SupportPac
REM   (c) Copyright IBM Corp. 2000, 2001, 2002
REM   US Government Users Restricted Rights - Use, duplication or
REM   disclosure restricted by GSA ADP Schedule Contract
REM   with IBM Corp.
REM 
REM ************************************************************************/
REM END COPYRIGHT
REM BEGIN DISCLAIMER
REM *************************************************************************
REM   DISCLAIMER
REM   ----------
REM   This material contains programming source code for your consideration.
REM   These examples have not been thoroughly tested under all conditions.
REM   IBM, therefore, cannot guarantee or imply reliability, serviceability,
REM   or function of these programs.
REM   ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
REM   WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
REM   NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
REM   FOR A PARTICULAR PURPOSE.
REM ************************************************************************/
REM END DISCLAIMER

REM ------------------------------------------------
REM -- UPES Environment Setup Script              --
REM ------------------------------------------------
REM -- This script is called by all other scripts --
REM -- Adapt to your specific environment         --
REM ------------------------------------------------

set JH=%JAVA_HOME%

REM Set to the toplevel directory of your JDK installation
REM ------------------------------------------------------

set JAVA_HOME=d:\WebSphere\AppServer\java


REM Set to the toplevel directory of your Xerces-J installation
REM -----------------------------------------------------------
REM The latest Xerces-J parser is available from xml.apache.org.
REM Make sure to get Xerces-J 2.0.1 or higher.

set XERCES_HOME=d:\java\Xerces-2_0_1


REM Set to the toplevel directory of your DB2 installation
REM ------------------------------------------------------
set DB2_HOME=d:\sqllib


REM Set to the toplevel directory of your MQSeries installation
REM -----------------------------------------------------------
REM If MQSeries is installed in 'C:\Program Files\MQSeries' use
REM the DOS 8.3 short name: 'C:\Progra~1\MQSeries'

set MQ_HOME=d:\Programs\MQSeries


REM Set to the toplevel directory of your James (mail server) installation
REM ----------------------------------------------------------------------
SET JAMES_HOME=D:\Java\James-1.2.1


REM Don't change anything below here!!
REM ==================================

REM Set up the base classpath (same for all UPES implementations)
REM -------------------------------------------------------------
SET BASECLASSPATH=.;%JAVA_HOME%\jre\lib\rt.jar;%XERCES_HOME%\xercesImpl.jar;%XERCES_HOME%\xmlParserAPIs.jar;%MQ_HOME%\java\lib\com.ibm.mq.jar;%MQ_HOME%\java\lib\com.ibm.mqbind.jar;%MQ_HOME%\java\lib\com.ibm.mq.iiop.jar;%MQ_HOME%\java\lib\jta.jar;%MQ_HOME%\java\lib\connector.jar;%MQ_HOME%\java\lib

REM Add the MQ Directory to the PATH
REM --------------------------------
SET OP=%PATH%
SET PATH=%PATH%;%MQ_HOME%\java\lib
