<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: %W%                                                         -->
<!--   Last update: %E% %U%                                                  -->
<!--   SCCS path, id: %F% %I%                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   WA82 SupportPac                                                       -->
<!--   (c) Copyright IBM Corp. 2000, 2001, 2002                              -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                           -->
<!-- BEGIN DISCLAIMER                                                        -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--  DISCLAIMER                                                             -->
<!--  ----------                                                             -->
<!--  This material contains programming source code for your consideration. -->
<!--  These examples have not been thoroughly tested under all conditions.   -->
<!--  IBM, therefore, cannot guarantee or imply reliability, serviceability, -->
<!--  or function of these programs.  All programs contained herein are      -->
<!--  provided to you "AS IS".  THE IMPLIED WARRANTIES OF MERCHANTABILITY    -->
<!--  AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY DISCLAIMED.         -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END DISCLAIMER                                                          -->

<%@ page language="java" info="WebCredit Request - Display Credit History" %>
<%@ page errorPage="ViewError.jsp" %>
<%@ page import="java.sql.*" %>

<%! public String getField( ResultSet resultSet, String columnName )
    {
      try {
        return resultSet.getString( columnName );
      }
      catch( Exception xcpt ) { }
      return "";
    }

    public double getFieldDouble( ResultSet resultSet, String columnName )
    {
      try {
        return resultSet.getDouble( columnName );
      }
      catch( Exception xcpt ) { }
      return 0.0;
    }
%>

<%
  long               customerID  = 0;
  long               loanID      = 0;
  Connection         connection;
  PreparedStatement  queryLoansStatement;
  ResultSet          loansResultSet    = null;

  try {
    customerID = new Long( request.getParameter( "CustomerID" ) ).longValue( );
    loanID     = new Long( request.getParameter( "LoanID"     ) ).longValue( );
  } catch( Exception xcpt ) { out.println( xcpt.toString( ) ); }
    try {
      Class.forName( "COM.ibm.db2.jdbc.app.DB2Driver" );
      connection = DriverManager.getConnection( "jdbc:db2:CUSTOMER" );
      queryLoansStatement = connection.prepareStatement( "SELECT * FROM CUSTOMER.LOANS " +
                                                         "WHERE CUSTOMER_ID=? AND LOAN_ID<>?" );
      queryLoansStatement.setLong( 1, customerID );
      queryLoansStatement.setLong( 2, loanID     );
      loansResultSet = queryLoansStatement.executeQuery( );
    }
    catch( Exception xcpt ) { out.print( xcpt.toString( ) ); }
  try {
%>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html">
<META name="GENERATOR" content="IBM WebSphere Studio">
<title>Web Credit Request - Credit History</title>
</head>

<body>
<table border="0" width="100%">
  <tr>
    <td valign="top"><img border="0" src="../starter/images/ebank.jpg" alt="EBank Image"></td>
    <td valign="top">
      <h1>Credit History</h1>
      <table width="100%">
        <tr>
          <th>Date</th>
          <th>Credit Amount</th>
          <th>Credit Reason</th>
          <th>Status</th>
        </tr>
<% while( loansResultSet.next( ) ) {

%>
        <tr>
          <td><%=getField( loansResultSet, "DATE" )%></td>
          <td><%=getFieldDouble( loansResultSet, "AMOUNT" )%></td>
          <td><%=getField( loansResultSet, "REASON" )%></td>
          <td><%=getField( loansResultSet, "STATUS" )%></td>
        </tr>
<%
} // while
%>
        <tr>
          <td colspan="4">
            <hr>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>

<% } // try
   catch( Exception xcpt ) { out.print( xcpt.toString( ) ); };
%>

</body>

</html>
